%define	major 2
%define libname %mklibname ss7 _%{major}
%define develname %mklibname ss7 -d

Summary:	Provides SS7 protocol services to applications
Name:		libss7
Version:	2.0.1
Release:	%mkrel 1
License:	GPL
Group:		System/Libraries
URL:		http://www.asterisk.org/
Source0:	https://downloads.asterisk.org/pub/telephony/%{name}/releases/%{name}-%{version}.tar.gz

%description
libss7 is a userspace library that is used for providing SS7 protocol services
to applications.  It has a working MTP2, MTP3, and ISUP for ITU and ANSI style
SS7, however it was written in a manner that will easily allow support for
other various national specific variants in the future.  For a working
reference implementation, see the various link test programs, as well as the
Asterisk Open Source PBX.

%package -n	%{libname}
Summary:	Provides SS7 protocol services to applications
Group:          System/Libraries

%description -n	%{libname}
libss7 is a userspace library that is used for providing SS7 protocol services
to applications.  It has a working MTP2, MTP3, and ISUP for ITU and ANSI style
SS7, however it was written in a manner that will easily allow support for
other various national specific variants in the future.  For a working
reference implementation, see the various link test programs, as well as the
Asterisk Open Source PBX.

%package -n	%{develname}
Summary:	Development libraries and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	ss7-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
libss7 is a userspace library that is used for providing SS7 protocol services
to applications.  It has a working MTP2, MTP3, and ISUP for ITU and ANSI style
SS7, however it was written in a manner that will easily allow support for
other various national specific variants in the future.  For a working
reference implementation, see the various link test programs, as well as the
Asterisk Open Source PBX.

This package contains all of the development files that you will need in order
to compile %{name} applications.

%prep

%setup -q

# lib64 fix
find -name "Makefile" | xargs perl -pi -e 's|\$\(INSTALL_BASE\)/lib|\$\(INSTALL_BASE\)/%{_lib}|g'

%build

%make CFLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT"

%install
make \
    INSTALL_PREFIX="%{buildroot}" \
    install

# cleanup
rm -f %{buildroot}%{_libdir}/*.a

%files -n %{libname}
%doc ChangeLog README NEWS*
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so




%changelog
* Mon Sep 27 2021 ns80 <ns80> 2.0.1-1.mga8
+ Revision: 1746660
- new version 2.0.1 for a security issue (mga#29493)

* Thu Feb 13 2020 umeabot <umeabot> 2.0.0-4.mga8
+ Revision: 1514453
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-3.mga7
+ Revision: 1299168
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 2.0.0-2.mga6
+ Revision: 955664
- Mageia 6 Mass Rebuild

* Tue Sep 29 2015 neoclust <neoclust> 2.0.0-1.mga6
+ Revision: 884991
- New version 2.0.0

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-5.mga5
+ Revision: 743823
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 681797
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-3.mga4
+ Revision: 507334
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 358204
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 oden <oden> 1.0.2-1.mga3
+ Revision: 297541
- imported package libss7


* Tue Sep 25 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-1.mga2
- imported and adapted from Mandriva
